> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Create a system environment

POST https://api.getpostman.com/api-catalog/system-environments
Content-Type: application/json

Creates a system environment for the authenticated team.

Reference: https://learning.postman.com/api-docs/api-reference/api-catalog/create-api-catalog-system-environment

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /api-catalog/system-environments:
    post:
      operationId: createApiCatalogSystemEnvironment
      summary: Create a system environment
      description: Creates a system environment for the authenticated team.
      tags:
        - apiCatalog
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createApiCatalogSystemEnvironmentResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateApiCatalogSystemEnvironmentRequestBadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/createApiCatalogSystemEnvironment'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    createApiCatalogSystemEnvironment:
      type: object
      properties:
        name:
          type: string
          description: >-
            The system environment's name. This value must be unique within the
            team.
        label:
          type: string
          description: >-
            A lowercase, terminal-friendly identifier for the system
            environment. Accepts only alphanumeric characters, hyphens, and
            underscores.
        description:
          type: string
          description: >-
            A description of the system environment. To remove a description,
            pass this value as an empty string.
        color:
          type: string
          description: A six-digit hex color code.
        isProduction:
          type: boolean
          default: false
          description: If true, the system environment is a production environment.
      required:
        - name
        - color
      title: createApiCatalogSystemEnvironment
    postPatchApiCatalogSystemEnvironmentData:
      type: object
      properties:
        id:
          type: string
          description: The system environment's ID.
        name:
          type: string
          description: The system environment's name.
        label:
          type: string
          description: >-
            A lowercase, terminal-friendly identifier for the system
            environment.
        color:
          type: string
          description: A six-digit hex color code.
        description:
          type: string
          description: A description of the system environment.
        isProduction:
          type: boolean
          description: If true, the system environment is a production environment.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the system environment was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the system environment was last updated.
      required:
        - id
        - name
        - label
        - color
        - description
        - isProduction
        - createdAt
        - updatedAt
      description: Information about the system environment.
      title: postPatchApiCatalogSystemEnvironmentData
    createApiCatalogSystemEnvironmentResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/postPatchApiCatalogSystemEnvironmentData'
      required:
        - data
      title: createApiCatalogSystemEnvironmentResponse
    apiCatalogErrorPathMessage:
      type: object
      properties:
        path:
          type: string
          description: The path in which the error occurred.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: apiCatalogErrorPathMessage
    apiCatalogError:
      type: object
      properties:
        type:
          type: string
          format: uri
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/apiCatalogErrorPathMessage'
          description: A list of errors.
      title: apiCatalogError
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CreateApiCatalogSystemEnvironmentRequestBadRequestError:
      oneOf:
        - $ref: '#/components/schemas/apiCatalogError'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
      title: CreateApiCatalogSystemEnvironmentRequestBadRequestError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Successful Response



**Request**

```json
undefined
```

**Response**

```json
{
  "data": {
    "id": "019d3dca-5e16-7bba-9f13-7abf00a6a443",
    "name": "ALPHA",
    "label": "alpha",
    "color": "#00FF00",
    "description": "This is the ALPHA environment",
    "isProduction": false,
    "createdAt": "2026-03-30T08:09:25.781Z",
    "updatedAt": "2026-03-30T08:09:25.781Z"
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/api-catalog/system-environments"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/api-catalog/system-environments';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/api-catalog/system-environments"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/api-catalog/system-environments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/api-catalog/system-environments")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/api-catalog/system-environments', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/api-catalog/system-environments");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/api-catalog/system-environments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Create System Environment



**Request**

```json
{
  "name": "ALPHA",
  "color": "#00FF00",
  "label": "alpha",
  "description": "This is the ALPHA environment",
  "isProduction": false
}
```

**Response**

```json
{
  "data": {
    "id": "019d3dca-5e16-7bba-9f13-7abf00a6a443",
    "name": "ALPHA",
    "label": "alpha",
    "color": "#00FF00",
    "description": "This is the ALPHA environment",
    "isProduction": false,
    "createdAt": "2026-03-30T08:09:25.781Z",
    "updatedAt": "2026-03-30T08:09:25.781Z"
  }
}
```

**SDK Code**

```python Create System Environment
import requests

url = "https://api.getpostman.com/api-catalog/system-environments"

payload = {
    "name": "ALPHA",
    "color": "#00FF00",
    "label": "alpha",
    "description": "This is the ALPHA environment",
    "isProduction": False
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Create System Environment
const url = 'https://api.getpostman.com/api-catalog/system-environments';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"name":"ALPHA","color":"#00FF00","label":"alpha","description":"This is the ALPHA environment","isProduction":false}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Create System Environment
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/api-catalog/system-environments"

	payload := strings.NewReader("{\n  \"name\": \"ALPHA\",\n  \"color\": \"#00FF00\",\n  \"label\": \"alpha\",\n  \"description\": \"This is the ALPHA environment\",\n  \"isProduction\": false\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Create System Environment
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/api-catalog/system-environments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"ALPHA\",\n  \"color\": \"#00FF00\",\n  \"label\": \"alpha\",\n  \"description\": \"This is the ALPHA environment\",\n  \"isProduction\": false\n}"

response = http.request(request)
puts response.read_body
```

```java Create System Environment
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/api-catalog/system-environments")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"ALPHA\",\n  \"color\": \"#00FF00\",\n  \"label\": \"alpha\",\n  \"description\": \"This is the ALPHA environment\",\n  \"isProduction\": false\n}")
  .asString();
```

```php Create System Environment
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/api-catalog/system-environments', [
  'body' => '{
  "name": "ALPHA",
  "color": "#00FF00",
  "label": "alpha",
  "description": "This is the ALPHA environment",
  "isProduction": false
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Create System Environment
using RestSharp;

var client = new RestClient("https://api.getpostman.com/api-catalog/system-environments");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"ALPHA\",\n  \"color\": \"#00FF00\",\n  \"label\": \"alpha\",\n  \"description\": \"This is the ALPHA environment\",\n  \"isProduction\": false\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Create System Environment
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "ALPHA",
  "color": "#00FF00",
  "label": "alpha",
  "description": "This is the ALPHA environment",
  "isProduction": false
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/api-catalog/system-environments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```